<?php 

/*
 * Main footer template
 * @package Empt_Lite
*/

if ( post_password_required() ) {
	return;
}
?>

<footer id="footer-wrapper">

    <?php if ( get_theme_mod( 'empt_lite_footer_logo' ) ) : ?>
    <img id="footer-logo" src="<?php echo esc_url($empt_lite_footer_logo); ?>" />
    <?php endif; ?>

    <?php get_template_part( 'template-parts/sidebar', 'footer' ); ?>

    <div id="footer">

        <div id="footer-info-group">
            <?php 
			if ( has_nav_menu( 'footer' ) ) {
				echo '<nav id="footer-nav"> ';
					wp_nav_menu( array(
					'theme_location' => 'footer',
					'fallback_cb' => false,
					'depth' => 1,
					'container' => false,
					'menu_id' => 'footer-menu',
					) );
					echo '</nav>';
				}
			?>
            <div id="copyright">
                <?php esc_html_e('Copyright &copy;', 'empt-lite'); ?>
                <?php echo esc_html( date_i18n( _x( 'Y', 'For the Year', 'empt-lite' ) ) ); ?>
                <span id="copyright-name"><?php echo esc_html(get_theme_mod( 'empt_lite_copyright' )); ?>&#46;</span>
                <?php esc_html_e('All rights reserved.', 'empt-lite'); ?>
            </div>
        </div>

        <div id="footer-social-group">
            <?php 
			if ( has_nav_menu( 'social' ) ) { 
				echo ' <nav id="footer-social">';
					wp_nav_menu( array(
					'theme_location' => 'social',
					'container' => false,
					'menu_class' => 'social-profiles',
					'echo' => true,
					'fallback_cb' => '',
					'link_before' => '<span class="social-profile-label">',
					'link_after' => '</span>',
					'depth' => 1,
					)
					);
				echo '</nav>';
			}
			?>


        </div>

    </div>
</footer>


</div><!-- #page -->

<?php wp_footer(); ?>

</body>

</html>
