<?php
/**
 * The Header for our theme
 * Displays all of the <head> section and everything up till <div id="main">
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head itemscope itemtype="http://schema.org/WebSite">

    <meta http-equiv="content-type" content="<?php bloginfo( 'html_type' ); ?>" charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="profile" href="http://gmpg.org/xfn/11">

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

    <?php
if ( ! function_exists( 'wp_body_open' ) ) {
	function wp_body_open() {
		do_action( 'wp_body_open' );
	}
}
?>
    <div id="page" class="site">

        <a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to the content', 'empt-lite' ); ?></a>

        <header id="masthead" class="site-header">
            <div id="site-branding">

                <?php if ( has_custom_logo() ) : ?>
                <?php the_custom_logo(); ?>
                <?php endif; ?>

                <?php if (is_front_page() && false == esc_attr(get_theme_mod( 'empt_lite_hide_site_title', false ) ) ) : ?>
                <h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php else : ?>
                <?php if (  false == esc_attr(get_theme_mod( 'empt_lite_hide_site_title', false ) ) ) : ?>
                <p id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                <?php	endif;  ?>
                <?php endif; ?>

                <?php	if (  false == esc_attr(get_theme_mod( 'empt_lite_hide_site_desc', false ) ) ) :
				$empt_lite_description = get_bloginfo( 'description', 'display' );
					if ( $empt_lite_description || is_customize_preview() ) : ?>
                <p id="site-description"><?php echo $empt_lite_description; ?></p>
                <?php 
					endif;
				endif; ?>


            </div><!-- .site-branding -->

        </header><!-- #masthead -->




        <div id="nav-wrapper">
            <button id="primary-menu-toggle" class="toggle-menu">

                <div class="first-menu-line"></div>
                <div class="second-menu-line"></div>
                <div class="third-menu-line"></div>

            </button>

            <nav id="site-navigation" class="main-navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'empt-lite' ); ?>">
                <?php
					if ( has_nav_menu( 'primary' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'primary',
							'menu_class'     => 'primary-menu',
						) );
					} else {
					echo '<ul>';
						wp_list_pages( array( 
							'match_menu_classes' 	=> true,
							'title_li' 				=> false, 
						) );
					echo '</ul>';
					}
					?>
            </nav><!-- #site-navigation -->
        </div>


        <?php get_template_part( 'template-parts/sidebar', 'banner' ); ?>

        <?php if (!is_front_page()) :
			get_template_part( 'template-parts/sidebar', 'breadcrumbs' ); 
		endif; ?>
