<?php
/**
 * Color Setting
 * @package Empt_Lite
 */

function empt_lite_customize_register_color( $wp_customize ) {

// Colour Options Panel
  $wp_customize->add_panel( 'colors', array(
    'priority' => 40,
    'title'    => esc_html__( 'Colours', 'empt-lite' ),
  ) ); 
	
	
  // SECTION - CONTENT COLOURS 
  $wp_customize->add_section( 'empt_lite_content_colors', array(
      'title' => esc_html__( 'Content Colors', 'empt-lite' ),
	  'priority' => 15,
      'panel' => 'colors'
    ) );

  // SECTION - NAVIGATION COLOURS 
  $wp_customize->add_section( 'empt_lite_nav_colors', array(
      'title' => esc_html__( 'Navigation Colors', 'empt-lite' ),
	  'priority' => 20,
      'panel' => 'colors'
    ) );

  // SECTION - WIDGET COLOURS 
  $wp_customize->add_section( 'empt_lite_widget_colors', array(
      'title' => esc_html__( 'Widget Colors', 'empt-lite' ),
	  'priority' => 25,
      'panel' => 'colors'
    ) );
	
  // SECTION - OTHER COLOURS 
  $wp_customize->add_section( 'empt_lite_other_colors', array(
      'title' => esc_html__( 'Other Colors', 'empt-lite' ),
	  'priority' => 30,
      'panel' => 'colors'
    ) );
  
   // SECTION - FORM COLOURS 
  $wp_customize->add_section( 'empt_lite_form_colors', array(
      'title' => esc_html__( 'Form Colors', 'empt-lite' ),
	  'priority' => 35,
      'panel' => 'colors'
    ) ); 
	
/*	---------------------------------------------------------------------------
	MAIN BODY COLOURS
	Settings and Controls
------------------------------------------------------------------------------ */  

     // Page loader
    $wp_customize->add_setting( 'empt_lite_loader_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_loader_color', array(
                'label'       => esc_html__( 'Page Loader', 'empt-lite' ),
                'description' => esc_html__( 'Sets the first colour on the page loading counter.', 'empt-lite' ),
                'section'     => 'colors',             
     ) ) ); 
	 
    // Footer Background
    $wp_customize->add_setting( 'empt_lite_footer_bg_color', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_bg_color', array(
                'label'       => esc_html__( 'Footer Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background colour for the footer area.', 'empt-lite' ),
                'section'     => 'colors',             
     ) ) ); 
	 
    // select text bg
    $wp_customize->add_setting( 'empt_lite_selection_bg_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_selection_bg_color', array(
                'label'       => esc_html__( 'Selection Background Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background colour for selecting text.', 'empt-lite' ),
                'section'     => 'colors',             
     ) ) );	 
	 
    // select text
    $wp_customize->add_setting( 'empt_lite_selection_text_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_selection_text_color', array(
                'label'       => esc_html__( 'Selection Text Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text colour for selecting text.', 'empt-lite' ),
                'section'     => 'colors',             
     ) ) );		 
  
/*	---------------------------------------------------------------------------
	CONTENT COLOURS
	Settings and Controls
------------------------------------------------------------------------------ */   
	
    // Body text
    $wp_customize->add_setting( 'empt_lite_body_text_color', array(
            'default'           => '#505050',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_body_text_color', array(
                'label'       => esc_html__( 'Body Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the main text colour.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) ); 

    // Archive Prefix
    $wp_customize->add_setting( 'empt_lite_archive_prefix_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_archive_prefix_color', array(
                'label'       => esc_html__( 'Archive Prefix Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your archive heading prefix label.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	
	 
    // Headings
    $wp_customize->add_setting( 'empt_lite_heading_color', array(
            'default'           => '#222222',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_heading_color', array(
                'label'       => esc_html__( 'Heading Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your headings.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
    // Page Intros
    $wp_customize->add_setting( 'empt_lite_page_intro_color', array(
            'default'           => '#807e7e',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_page_intro_color', array(
                'label'       => esc_html__( 'Page Intro', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your page intros.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
    // Links
    $wp_customize->add_setting( 'empt_lite_links_color', array(
            'default'           => '#d8962f',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_links_color', array(
                'label'       => esc_html__( 'Links', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your links.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
    // Link active and hover
    $wp_customize->add_setting( 'empt_lite_link_hover_color', array(
            'default'           => '#ad7e35',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_link_hover_color', array(
                'label'       => esc_html__( 'Link Hover Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your active and hover links.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 

	// Entry and widget title line
    $wp_customize->add_setting( 'empt_lite_title_bottom_line', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_title_bottom_line', array(
                'label'       => esc_html__( 'Title Bottom Line', 'empt-lite' ),
                'description' => esc_html__( 'Sets the bottom line colour to your entry titles and widget titles.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );
	 
    // Post details 
    $wp_customize->add_setting( 'empt_lite_post_details', array(
            'default'           => '#a3a3a3',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_post_details', array(
                'label'       => esc_html__( 'Post Meta Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your post details [not linked].', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
	// Post details linked
    $wp_customize->add_setting( 'empt_lite_post_details_linked', array(
            'default'           => '#868686',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_post_details_linked', array(
                'label'       => esc_html__( 'Post Meta Link Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your post details [links].', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
		 
	 
	// Details blog separator
    $wp_customize->add_setting( 'empt_lite_blog_detail_style_separator', array(
            'default'           => '#dedede',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blog_detail_style_separator', array(
                'label'       => esc_html__( 'Blog Details Layout Separator', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your Details blog style vertical separator line.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );

	// Gallery blog overlay
    $wp_customize->add_setting( 'empt_lite_blog_gallery_overlay', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blog_gallery_overlay', array(
                'label'       => esc_html__( 'Gallery Blog Layout Overlay', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your Gallery blog layout overlay.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );

	// Gallery blog title
    $wp_customize->add_setting( 'empt_lite_blog_gallery_title', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blog_gallery_title', array(
                'label'       => esc_html__( 'Gallery Blog Layout Title', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your Gallery blog layout title.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );

	// Gallery blog readmore
    $wp_customize->add_setting( 'empt_lite_blog_gallery_readmore', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blog_gallery_readmore', array(
                'label'       => esc_html__( 'Gallery Blog Layout Read More', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your Gallery blog layout read-more link.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );

	// Gallery blog readmore hover
    $wp_customize->add_setting( 'empt_lite_blog_gallery_readmore_hover', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blog_gallery_readmore_hover', array(
                'label'       => esc_html__( 'Gallery Blog Layout Read More Hover', 'empt-lite' ),
                'description' => esc_html__( 'Sets the hover colour for your Gallery blog layout read-more link.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );
	 
    // Footer line
    $wp_customize->add_setting( 'empt_lite_footer_line_color', array(
            'default'           => '#1a1a1a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_line_color', array(
                'label'       => esc_html__( 'Footer Line Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer line just above the copyright row.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
    // Footer text
    $wp_customize->add_setting( 'empt_lite_footer_text_color', array(
            'default'           => '#ccc',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_text_color', array(
                'label'       => esc_html__( 'Footer Text Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer text where the copyright area.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	 
    // blockquote icon
    $wp_customize->add_setting( 'empt_lite_blockquote_icon_color', array(
            'default'           => '#d8962f',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_blockquote_icon_color', array(
                'label'       => esc_html__( 'Blockquote Icon Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for the blockquote icon.', 'empt-lite' ),
                'section'     => 'empt_lite_content_colors',             
     ) ) );	 
	  
	 
/*	---------------------------------------------------------------------------
	NAVIGATION COLOURS
	Settings and Controls
------------------------------------------------------------------------------ */  	 

    // Main menu link
    $wp_customize->add_setting( 'empt_lite_mainmenu_link', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_mainmenu_link', array(
                'label'       => esc_html__( 'Main Menu Link', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your main menu links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );

    // Main menu hover link
    $wp_customize->add_setting( 'empt_lite_mainmenu_hover_link', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_mainmenu_hover_link', array(
                'label'       => esc_html__( 'Main Menu Hover Link', 'empt-lite' ),
                'description' => esc_html__( 'Sets the hover and active colour for your main menu links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );

    // Main menu arrow
    $wp_customize->add_setting( 'empt_lite_mainmenu_arrow', array(
            'default'           => '#989898',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_mainmenu_arrow', array(
                'label'       => esc_html__( 'Main Menu Arrow', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your main menu submenu arrow.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );

    // Footer menu
    $wp_customize->add_setting( 'empt_lite_footer_menu_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_menu_color', array(
                'label'       => esc_html__( 'Footer Menu Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer menu links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );	 
	 
    // Footer menu hover
    $wp_customize->add_setting( 'empt_lite_footer_menu_hover_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_menu_hover_color', array(
                'label'       => esc_html__( 'Footer Menu Hover Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the focus and hover colour for your footer menu links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );	 
	 
    // Social
    $wp_customize->add_setting( 'empt_lite_social_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_social_color', array(
                'label'       => esc_html__( 'Social Links', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your social links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );
	 
    // Social hover
    $wp_customize->add_setting( 'empt_lite_social_hover_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_social_hover_color', array(
                'label'       => esc_html__( 'Social Hover Links', 'empt-lite' ),
                'description' => esc_html__( 'Sets the hover colour for your social links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );	 

    // Pagination link
    $wp_customize->add_setting( 'empt_lite_pagination_link', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_pagination_link', array(
                'label'       => esc_html__( 'Pagination', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your paginationg nav links.', 'empt-lite' ),
                'section'     => 'empt_lite_nav_colors',             
     ) ) );
	 
/*	---------------------------------------------------------------------------
	WIDGET COLOURS
	Settings and Controls
------------------------------------------------------------------------------ */  	 
	 
    // Footer widget titles
    $wp_customize->add_setting( 'empt_lite_footer_widget_title_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_title_color', array(
                'label'       => esc_html__( 'Footer Widget Title Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget titles.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );

    // Footer widget title line
    $wp_customize->add_setting( 'empt_lite_footer_widget_title_line', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_title_line', array(
                'label'       => esc_html__( 'Footer Widget Title Line', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget title line.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );
	 
    // Footer widget text
    $wp_customize->add_setting( 'empt_lite_footer_widget_text_color', array(
            'default'           => '#cccccc',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_text_color', array(
                'label'       => esc_html__( 'Footer Widget Text Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget text.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );	 
	 
    // Footer widget links
    $wp_customize->add_setting( 'empt_lite_footer_widget_link_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_link_color', array(
                'label'       => esc_html__( 'Footer Widget Link Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget links.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );	 
	 
	// Footer widget link hover
    $wp_customize->add_setting( 'empt_lite_footer_widget_link_hover_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_link_hover_color', array(
                'label'       => esc_html__( 'Footer Widget Link Hover Colour', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget link hover colour.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) ); 
	 
	// Footer widget list line
    $wp_customize->add_setting( 'empt_lite_footer_widget_list_line_color', array(
            'default'           => '#1a1a1a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_list_line_color', array(
                'label'       => esc_html__( 'Footer Widget List Lines', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer widget list lines.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) ); 	 
	 
	// Footer tag cloud
    $wp_customize->add_setting( 'empt_lite_footer_widget_tags_color', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_tags_color', array(
                'label'       => esc_html__( 'Footer Widget Tag Cloud', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour for your footer tag cloud widget.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );	 
	 
	// Footer tag cloud hover
    $wp_customize->add_setting( 'empt_lite_footer_widget_tags_hover_color', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_widget_tags_hover_color', array(
                'label'       => esc_html__( 'Footer Widget Tag Cloud Hover', 'empt-lite' ),
                'description' => esc_html__( 'Sets the hover colour for your footer tag cloud widget.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );	 	 
	 
	// Widget list line
    $wp_customize->add_setting( 'empt_lite_widget_list_lines', array(
            'default'           => '#dedede',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_widget_list_lines', array(
                'label'       => esc_html__( 'Widget List Lines', 'empt-lite' ),
                'description' => esc_html__( 'Sets the list type widgets colour for line separators.', 'empt-lite' ),
                'section'     => 'empt_lite_widget_colors',             
     ) ) );	 	 
	 
/*	---------------------------------------------------------------------------
	FORM COLOURS
	Settings and Controls
------------------------------------------------------------------------------ */  	 
	 
	// Button bg
    $wp_customize->add_setting( 'empt_lite_button_bg', array(
            'default'           => '#000',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_button_bg', array(
                'label'       => esc_html__( 'Button Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background colour for buttons.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Button text
    $wp_customize->add_setting( 'empt_lite_button_text', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_button_text', array(
                'label'       => esc_html__( 'Button Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text colour for buttons.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Button hover bg
    $wp_customize->add_setting( 'empt_lite_button_hover_bg', array(
            'default'           => '#ad7e35',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_button_hover_bg', array(
                'label'       => esc_html__( 'Button Hover Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background hover colour for buttons.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Button hover text
    $wp_customize->add_setting( 'empt_lite_button_hover_text', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_button_hover_text', array(
                'label'       => esc_html__( 'Button Hover Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text hover colour for buttons.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Footer Button bg
    $wp_customize->add_setting( 'empt_lite_footer_button_bg', array(
            'default'           => '#ad7e35',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_button_bg', array(
                'label'       => esc_html__( 'Footer Button Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background colour for buttons in the footer area.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Footer Button text
    $wp_customize->add_setting( 'empt_lite_footer_button_text', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_button_text', array(
                'label'       => esc_html__( 'Footer Button Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text colour for buttons in the footer area.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Footer Button hover bg
    $wp_customize->add_setting( 'empt_lite_footer_button_hover_bg', array(
            'default'           => '#d6ac6a',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_button_hover_bg', array(
                'label'       => esc_html__( 'Footer Button Hover Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background hover colour for buttons in the footer area.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Footer Button hover text
    $wp_customize->add_setting( 'empt_lite_footer_button_hover_text', array(
            'default'           => '#fff',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_footer_button_hover_text', array(
                'label'       => esc_html__( 'Footer Button Hover Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text hover colour for buttons in the footer area.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
 
	// Input field bg
    $wp_customize->add_setting( 'empt_lite_input_field_bg', array(
            'default'           => '#fbfbfb',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_input_field_bg', array(
                'label'       => esc_html__( 'Input Field Background', 'empt-lite' ),
                'description' => esc_html__( 'Sets the background colour to form fields.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) ); 
	 
	// Input field border
    $wp_customize->add_setting( 'empt_lite_input_field_border', array(
            'default'           => '#dedede',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_input_field_border', array(
                'label'       => esc_html__( 'Input Field Border', 'empt-lite' ),
                'description' => esc_html__( 'Sets the border colour to form fields.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Input field text
    $wp_customize->add_setting( 'empt_lite_input_field_text', array(
            'default'           => '#222',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_input_field_text', array(
                'label'       => esc_html__( 'Input Field Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the text colour to form fields.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Input field hover
    $wp_customize->add_setting( 'empt_lite_input_field_hover_border', array(
            'default'           => '#b4b9be',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_input_field_hover_border', array(
                'label'       => esc_html__( 'Input Field Hover Line', 'empt-lite' ),
                'description' => esc_html__( 'Sets the hover colour to the form field bottom border.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
	 
	// Input field placeholder
    $wp_customize->add_setting( 'empt_lite_input_placeholder', array(
            'default'           => '#b5b5b5',
			'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
     ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'empt_lite_input_placeholder', array(
                'label'       => esc_html__( 'Input Field Placeholder Text', 'empt-lite' ),
                'description' => esc_html__( 'Sets the colour to the form field placeholder text.', 'empt-lite' ),
                'section'     => 'empt_lite_form_colors',             
     ) ) );	 
 

}
add_action( 'customize_register', 'empt_lite_customize_register_color' );
