<?php
/**
 * Theme Info
 * @package Empt Lite
 */

function empt_lite_customizer_theme_info( $wp_customize ) {
	
    $wp_customize->add_section( 'theme_info', array(
		'title'       => esc_html__( 'Demo & Documentation' , 'empt-lite' ),
		'priority'    => 6,
	) );
    
    /** Important Links */
	$wp_customize->add_setting( 'theme_info_theme', array(
            'default' => '',
            'sanitize_callback' => 'wp_kses_post',
        )
    );
    
    $theme_info = '<p>';
	$theme_info .= sprintf( __( 'Demo Link: %1$sClick here.%2$s', 'empt-lite' ),  '<a href="' . esc_url( 'https://demos.roughpixels.com/empt/' ) . '" target="_blank">', '</a>' );
    $theme_info .= '</p><p>';
    $theme_info .= sprintf( __( 'Documentation Link: %1$sClick here.%2$s', 'empt-lite' ),  '<a href="' . esc_url( 'https://www.roughpixels.com/theme-tutorials/' ) . '" target="_blank">', '</a>' );
    $theme_info .= '</p>';

	$wp_customize->add_control( new Empt_Lite_Note_Control( $wp_customize, 'theme_info_theme', array(
                'section'     => 'theme_info',
                'description' => $theme_info
            )
        )
    );
    
}
add_action( 'customize_register', 'empt_lite_customizer_theme_info' );
