<?php
/**
 * Blog Settings
 *
 * @package Empt_Lite
 */

function empt_lite_customize_register_thumbnails( $wp_customize ) {
    
   // Thumbnail Options
   $wp_customize->add_section( 'empt_lite_thumbnail_options', array(
		'title'    => esc_html__( 'Thumbnail Options', 'empt-lite' ),
		'priority' => 24,
   ) );
    
	// Classic Thumbnails
  $wp_customize->add_setting( 'empt_lite_thumbnail_classic', array(
      'default' => false,
      'sanitize_callback' => 'empt_lite_sanitize_checkbox',
    ) );
  
  $wp_customize->add_control( new Empt_Lite_Toggle_Control( 
	$wp_customize, 'empt_lite_thumbnail_classic', array(
    'label'    => esc_html__( 'Classic Thumbnails', 'empt-lite' ),
	'description' => esc_html__( 'For your standard blog layout, choose if you want a cropped (checked) featured image or uncropped.', 'empt-lite' ), 
    'section'  => 'empt_lite_thumbnail_options',
  ) ) );

	// Wide thumbnails
	$wp_customize->add_setting( 'empt_lite_wide_thumbnails', array(
		'default'           => false,
		'sanitize_callback' => 'empt_lite_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Empt_Lite_Toggle_Control( 
		$wp_customize, 'empt_lite_wide_thumbnails', array(
		'label'    => esc_html__( 'Wide Thumbnails', 'empt-lite' ),
		'description' => esc_html__( 'This will create a 1100x600 pixel cropped featured image for the wide, top, details blog layouts, and page featured image.', 'empt-lite' ),
		'section'  => 'empt_lite_thumbnail_options',
	) ) );


	// Square thumbnails
	$wp_customize->add_setting( 'empt_lite_square_thumbnails', array(
		'default'           => false,
		'sanitize_callback' => 'empt_lite_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Empt_Lite_Toggle_Control( 
		$wp_customize, 'empt_lite_square_thumbnails', array(
		'label'    => esc_html__( 'Square Thumbnails', 'empt-lite' ),
		'description' => esc_html__( 'This will create a 500x500 pixel cropped featured image for the gallery.', 'empt-lite' ),
		'section'  => 'empt_lite_thumbnail_options',
	) ) );

	
	// NOTE - Post Thumbnails.
	$wp_customize->add_control( new Empt_Lite_Note_Control(
		$wp_customize, 'empt_lite_post_thumbnail_note', array(
			'label' => esc_html__( 'Post Thumbnails', 'empt-lite' ),
			'section' => 'empt_lite_thumbnail_options',
			'settings' => array(),
	) ) );	

	// Single  thumbnails
	$wp_customize->add_setting( 'empt_lite_thumbnail_single_wide', array(
		'default'           => false,
		'sanitize_callback' => 'empt_lite_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Empt_Lite_Toggle_Control( 
		$wp_customize, 'empt_lite_thumbnail_single_wide', array(
		'label'    => esc_html__( 'Single Wide Layout Thumbnails', 'empt-lite' ),
		'description' => esc_html__( 'This will create a 1100x600 pixel cropped featured image for the single wide and top layout.', 'empt-lite' ),
		'section'  => 'empt_lite_thumbnail_options',
	) ) );
	  
	// NOTE - Misc Thumbnails.
	$wp_customize->add_control( new Empt_Lite_Note_Control(
		$wp_customize, 'empt_lite_misc_thumbnail_note_text', array(
			'label' => esc_html__( 'Miscellaneous Thumbnails', 'empt-lite' ),
			'section' => 'empt_lite_thumbnail_options',
			'settings' => array(),
	) ) );

	// Recent posts thumbnails
	$wp_customize->add_setting( 'empt_lite_recent_post_thumbnail', array(
		'default'           => false,
		'sanitize_callback' => 'empt_lite_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Empt_Lite_Toggle_Control( 
		$wp_customize, 'empt_lite_recent_post_thumbnail', array(
		'label'    => esc_html__( 'Recent Post Thumbnails', 'empt-lite' ),
		'description' => esc_html__( 'This will create a 90x90 pixel cropped featured image.', 'empt-lite' ),
		'section'  => 'empt_lite_thumbnail_options',
	) ) );	

}
add_action( 'customize_register', 'empt_lite_customize_register_thumbnails' );
