<?php
/**
 * Pro Version Upgrade Section
 * Registers Upgrade Section for the Pro Version of the theme
 * @package Empt_Lite
 */

function empt_lite_customize_theme_upgrade( $wp_customize ) {

    $wp_customize->add_section( 'theme_upgrade', array(
		'title'       => esc_html__( 'Upgrade to Pro' , 'empt-lite' ),
		'priority'    => 6,
	) );
	
	// Add custom Upgrade Content control.
		$wp_customize->add_setting( 'empt_lite_upgrade', array(
			'default' => '',
			'sanitize_callback' => '__return_false'
		) );
		
		$wp_customize->add_control( new Empt_Lite_Customize_Static_Text_Control( $wp_customize, 'empt_lite_upgrade', array(
			'label'	=> esc_html__('Get The Pro Version:','empt-lite'),
			'section'	=> 'theme_upgrade',
			'description' => array('')
		) ) );	

}
add_action( 'customize_register', 'empt_lite_customize_theme_upgrade' );

 