<?php
 /**
 * Main template file
 * @package Empt_Lite
 */
 
 get_header(); 
 
		$empt_lite_default_blog_title = get_theme_mod( 'empt_lite_default_blog_title', __( 'My Blog', 'empt-lite' ) );
		$empt_lite_default_blog_intro = get_theme_mod( 'empt_lite_default_blog_intro' );
		
		$archive_title = '';
		$archive_subtitle = empt_lite_get_the_archive_description( '<div>', '</div>' ); 
		$show_home_header = false == esc_attr(get_theme_mod( 'empt_lite_hide_blog_heading', false ) );
	
         if ( is_home() && is_front_page() && $show_home_header && $empt_lite_default_blog_title ){ 
           echo '<header id="page-header"><h1 id="page-title">' . wp_kses_post( $empt_lite_default_blog_title ) . '</h1>';
		   echo '<div id="page-intro" class="intro-text">' . wp_kses_post( wpautop( $empt_lite_default_blog_intro ) ) . '</div></header>';
        }
		
		if ( ( ! is_front_page() && !is_archive() || is_home() && ! is_front_page() && $show_home_header ) && ( $archive_title || $archive_subtitle ) ) {
			echo ' <header id="page-header">';
				if ( $archive_title ) {
					echo '<h1 id="page-title">' . wp_kses_post( $archive_title ) . '</h1>';
				} else {
					echo '<h1 id="page-title">';
						single_post_title();
					echo '</h1>';
				}

				if ( ! is_front_page() && $archive_subtitle ) {
					echo '<div id="page-intro" class="intro-text">' . wp_kses_post( wpautop( $archive_subtitle ) ) . '</div>';
				}
			echo '</header>';
		}

        if( is_archive() ){
		echo ' <header id="page-header">';
            the_archive_title( '<h1 id="page-title">', '</h1>' );
            the_archive_description( '<div id="page-intro">', '</div>' );
		echo '</header>';	
        }
    
        if( is_search() ){ 
            global $wp_query;
			echo ' <header id="page-header">';
            echo '<h1 id="page-title">' . esc_html__( 'Search', 'empt-lite' ) . '</h1>';
            get_search_form();
            echo '<span class="result-count">' . sprintf( esc_html__( 'Showing %1$s Result(s)%2$s', 'empt-lite' ), '<strong>' . $wp_query->found_posts, '</strong>' ) . '</span>';
			echo '</header>';
        }
    
        if( is_page() ){ 
		echo ' <header id="page-header">';
            the_title( '<h1 id="page-title">', '</h1>' ); 
		echo '</header>';	
        }
        
        if( is_404() ) echo '<header id="page-header"><h1 id="page-title">' . esc_html__( '404', 'empt-lite' ) . '</h1></header>'; //For 404
        ?>


 <main id="content" class="site-content flex-container">

     <?php  // Blog layouts
		if ( have_posts() ) :
		
			$empt_lite_blog_layout = get_theme_mod( 'empt_lite_blog_layout', 'right' );	
				switch ( esc_attr($empt_lite_blog_layout ) ) {

				case "gallery":
					echo '<ul id="grid-summaries">';
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content', get_post_format() );
						endwhile;
						global $wp_query; // you can remove this line if everything works for you
					echo '</ul>';
				break;
				
				case "classic-left":
					// classic blog left
					echo '<div class="entry-summary">';
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content', get_post_format() );
						endwhile;	
					echo '</div>';
					echo '<aside id="blog-sidebar" class="widget-area">';	
					get_sidebar(); 
					echo '</aside>';
				break;	
				
				default:
					// classic blog
					echo '<div class="entry-summary">';
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content', get_post_format() );
						endwhile;
					echo '</div>';

					echo '<aside id="blog-sidebar" class="widget-area">';	
						get_sidebar(); 
					echo '</aside>';
				}
		
		
		else :
			get_template_part( 'template-parts/post/content', 'none' );
		endif; 
		
			empt_lite_blog_pagination();
		?>
 </main>

 <?php 
 get_footer();
