<?php
/**
 * The template part for displaying content
 *
 * @package Empt_Lite
 */
?>


<?php $empt_lite_blog_layout = get_theme_mod( 'empt_lite_blog_layout', 'classic' );	
		switch ( esc_attr($empt_lite_blog_layout ) ) {
			                
		case "gallery":
			// gallery
			echo '<li class="grid-item"><article id="post-', the_ID(), '"', esc_attr(post_class()), ' itemscope itemtype="https://schema.org/Blog">';	   
				if( esc_attr(get_theme_mod( 'empt_lite_square_thumbnails', false ) ) && has_post_thumbnail() ) :
					echo '<figure class="post-thumbnail">';
							the_post_thumbnail( 'empt-square-thumbnail', array(
							// image alt
								'alt' => the_title_attribute(
									array( 'echo' => false )
								),
							) );
					echo '</figure>';
				else:
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	

				endif;
			echo '<div class="content-overlay"><div class="entry-content">';
			
			the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
			
				if ( false == esc_attr(get_theme_mod( 'empt_lite_hide_excerpt_more_link', false ) ) ) {
					empt_lite_read_more_link();
				}
			
			echo '</div></div></article></li>';		
			break;			
					
		case "classic-left":
			// classic blog left
			echo '<article id="post-', the_ID(), '"', esc_attr(post_class()), ' itemscope itemtype="https://schema.org/Blog">';
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	

			echo '<header class="entry-header">';
				the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2></header>' );						
			
			if ( false == esc_attr(get_theme_mod( 'empt_lite_hide_blog_post_details', false ) ) ) {
				empt_lite_entry_meta();
			}			
			
			echo '<div class="entry-content">';
				// default summary or excerpt
				$empt_lite_blog_content = get_theme_mod( 'empt_lite_blog_content', false );
					if ( true === $empt_lite_blog_content ) {
						the_excerpt();				
					} else {				
						the_content( empt_lite_move_more_link() );
					}	

			echo '</div></article>';	
			break;	
			
		default:
			// classic blog
			echo '<article id="post-', the_ID(), '"', esc_attr(post_class()), ' itemscope itemtype="https://schema.org/Blog">';
					echo '<figure class="post-thumbnail">';
						the_post_thumbnail();
					echo '</figure>';	
	
			echo '<header class="entry-header">';
				the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2></header>' );						
			
			if ( false == esc_attr(get_theme_mod( 'empt_lite_hide_blog_post_details', false ) ) ) {
				empt_lite_entry_meta();
			}			
			
			echo '<div class="entry-content">';
				// default summary or excerpt
				$empt_lite_blog_content = get_theme_mod( 'empt_lite_blog_content', false );
					if ( true === $empt_lite_blog_content ) {
						the_excerpt();				
					} else {				
						the_content( empt_lite_move_more_link() );
					}	

			echo '</div></article>';
		}
	?>
